Bug 1304282 - [USS]: Need defined rules for snapshot-directory, setting to a/b works but in linux a/b is b is subdirectory of a
Summary: [USS]: Need defined rules for snapshot-directory, setting to a/b works but in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.1.3
Assignee: Manikandan
QA Contact: Anil Shah
URL:
Whiteboard: USS
Depends On: 1163736
Blocks: 1166590 1168819 1299184 1305868
TreeView+ depends on / blocked
 
Reported: 2016-02-03 09:06 UTC by Vijaikumar Mallikarjuna
Modified: 2016-09-17 13:01 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.7.9-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1163736
Environment:
Last Closed: 2016-06-23 05:06:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1240 0 normal SHIPPED_LIVE Red Hat Gluster Storage 3.1 Update 3 2016-06-23 08:51:28 UTC

Comment 2 Vijaikumar Mallikarjuna 2016-02-03 09:14:41 UTC
Patch submitted upstream: http://review.gluster.org/#/c/9209/

Comment 4 Avra Sengupta 2016-03-10 09:36:44 UTC
Master URL: http://review.gluster.org/#/c/9209/ (MERGED)
Release 3.7 URL: http://review.gluster.org/#/c/13409/ (MERGED)

Comment 6 Anil Shah 2016-04-04 10:23:01 UTC
[root@dhcp46-4 ~]# gluster v set vol0 snapshot-directory ./ab/c
volume set: failed: snapshot-directory expects value to contain only '0-9a-z-_'

[root@dhcp46-4 ~]# gluster v set vol0 snapshot-directory ./test
volume set: failed: snapshot-directory expects value to contain only '0-9a-z-_'

[root@dhcp46-4 ~]# gluster v set vol0 snapshot-directory .test
volume set: success

Volume Name: vol0
Type: Distributed-Replicate
Volume ID: ad6df718-e95d-4dae-b1df-fcbfafbdcda6
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.46.4:/run/gluster/snaps/c7fafe9d394b4feaae6fd35391ae192c/brick1/b1
Brick2: 10.70.47.46:/run/gluster/snaps/c7fafe9d394b4feaae6fd35391ae192c/brick2/b2
Brick3: 10.70.46.213:/run/gluster/snaps/c7fafe9d394b4feaae6fd35391ae192c/brick3/b3
Brick4: 10.70.46.148:/run/gluster/snaps/c7fafe9d394b4feaae6fd35391ae192c/brick4/b4
Options Reconfigured:
features.barrier: disable
features.uss: enable
features.snapshot-directory: .test
performance.readdir-ahead: on
snap-activate-on-create: enable

Bug verified on build glusterfs-3.7.9-1.el7rhgs.x86_64

Comment 10 errata-xmlrpc 2016-06-23 05:06:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1240


Note You need to log in before you can comment on or make changes to this bug.